<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Sanjeev (Mikki Travel) -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:element name="transferSearchRequest">
		<xs:annotation>
			<xs:documentation>Comment describing your root element</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="requestAuditInfo"/>
				<xs:element name="pickUpCriteria">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="pickUpDate" type="xs:date">
								<xs:annotation>
									<xs:documentation>Transfer pick up date</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="pickUpTime" type="xs:time" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Transfer pick-up time. Only required for incoming trasnfers. For outgoing trasnfers Miki system calculates the pick-up time </xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="pickUpCountryCode" type="xs:string" minOccurs="0">
								<xs:annotation>
									<xs:documentation>Transfer pick-up country code</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="pickUpCityNumber" type="xs:string">
								<xs:annotation>
									<xs:documentation>Transfer pick-up city number</xs:documentation>
								</xs:annotation>
							</xs:element>
							<xs:element name="pickUpLocationType">
								<xs:annotation>
									<xs:documentation>Indicate what is pickup location type: 1=All, 2=Airport, 3=Hotel, 4=Train station, 5=Port</xs:documentation>
								</xs:annotation>
								<xs:simpleType>
									<xs:restriction base="xs:string">
										<xs:enumeration value="1"/>
										<xs:enumeration value="2"/>
										<xs:enumeration value="3"/>
									</xs:restriction>
								</xs:simpleType>
							</xs:element>
							<xs:element name="pickUpLoctaion" type="xs:string" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="dropOffCriteria">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="dropOffCountryCode" type="xs:string" minOccurs="0"/>
							<xs:element name="dropOffCityNumber" type="xs:int"/>
							<xs:element name="dropOffLocationType">
								<xs:annotation>
									<xs:documentation>Indicate what is dropoff location type: 1=All, 2=Airport, 3=Hotel, 4=Train station, 5=Port</xs:documentation>
								</xs:annotation>
								<xs:simpleType>
									<xs:restriction base="xs:string">
										<xs:enumeration value="1"/>
										<xs:enumeration value="2"/>
										<xs:enumeration value="3"/>
									</xs:restriction>
								</xs:simpleType>
							</xs:element>
							<xs:element name="dropOffLocation" type="xs:string" minOccurs="0"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:element name="transportType" type="xs:string">
					<xs:annotation>
						<xs:documentation>Public or Private</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="transferDirection" type="xs:int">
					<xs:annotation>
						<xs:documentation>1 for incoming, 2 for outgoing transfers</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="vehicleClass" type="xs:string" minOccurs="0"/>
				<xs:element name="vehicleType" type="xs:string" minOccurs="0"/>
				<xs:element name="numberOfPassengers" type="xs:int" minOccurs="0"/>
				<xs:element name="luggageCriteria" minOccurs="0">
					<xs:complexType>
						<xs:sequence>
							<xs:element name="handLuggageOnly" type="xs:boolean"/>
						</xs:sequence>
					</xs:complexType>
				</xs:element>
				<xs:choice minOccurs="0">
					<xs:element name="incomingCriteria">
						<xs:complexType>
							<xs:sequence>
								<xs:element name="arrivalTime" type="xs:time"/>
								<xs:element name="arrivingFrom" type="xs:string"/>
							</xs:sequence>
						</xs:complexType>
					</xs:element>
					<xs:element name="outgoingCriteria">
						<xs:complexType>
							<xs:sequence>
								<xs:element name="departureTime" type="xs:time"/>
								<xs:element name="departingTo" type="xs:string"/>
								<xs:element name="extraTimeAtAirport" type="xs:string"/>
							</xs:sequence>
						</xs:complexType>
					</xs:element>
				</xs:choice>
			</xs:sequence>
			<xs:attribute name="requestType" type="xs:string" use="required" fixed="transferSearchRequest">
				<xs:annotation>
					<xs:documentation>Used to identify the request type in Miki's system</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="versionNumber" type="xs:string" use="optional" fixed="5.0.0">
				<xs:annotation>
					<xs:documentation>Indicates the version of the request that is being used. </xs:documentation>
				</xs:annotation>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
	<xs:element name="requestAuditInfo">
		<xs:annotation>
			<xs:documentation>Standard audit information sent with all requests</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="agentCode" type="xs:string">
					<xs:annotation>
						<xs:documentation>Unique reference used to identify the client to Miki</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="requestPassword" type="xs:string">
					<xs:annotation>
						<xs:documentation>Daily password used to validate request</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="requestID">
					<xs:annotation>
						<xs:documentation>Unique request reference used for audit purposes</xs:documentation>
					</xs:annotation>
					<xs:simpleType>
						<xs:restriction base="xs:integer">
							<xs:totalDigits value="9"/>
							<xs:minInclusive value="1"/>
						</xs:restriction>
					</xs:simpleType>
				</xs:element>
				<xs:element name="requestTime" type="xs:dateTime">
					<xs:annotation>
						<xs:documentation>Time client sent request to Miki</xs:documentation>
					</xs:annotation>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>
